<?php

namespace App\Filament\Resources\ApiRequests\Schemas;

use App\Enums\ResponseStatus;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Textarea;
use Filament\Schemas\Schema;

class ApiRequestForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('website_id')
                    ->relationship('website', 'name')
                    ->required(),
                TextInput::make('registration_number')
                    ->required(),
                TextInput::make('ip_address')
                    ->required(),
                Textarea::make('contact_data')
                    ->columnSpanFull(),
                Select::make('response_status')
                    ->options(ResponseStatus::class)
                    ->required(),
            ]);
    }
}
